<?php 
//Theme Specific Options
$k_layout="fixed width";
$k_smallthumbnailwidth=40;
$k_smallthumbnailheight=40;
$k_mediumthumbnailwidth=150;
$k_mediumthumbnailheight=150;
$k_largethumbnailwidth=598;
$k_largethumbnailheight=188;
/*
$h = $_REQUEST['h'];
$w = $_REQUEST['w'];

$dimensiuni = array(
                '157x153',
                '600x600',
            );

$approved = false;

foreach ($dimensiuni as $dimensiune) {
  $dim_exp = explode('x', $dimensiune);
  $dim_h = $dim_exp[0];
  $dim_w = $dim_exp[1];

  if ($dim_h == $h && $dim_w == $w) {
    $approved = true;
    break;
  }
}

if (!$approved) {
        die('<img src="cdn-globe.jpg" title="default" />'); // asta e o imagine default
}

*/

//
//Add theme options by LOLcats
//

require_once('options/kpanel.php');

//
//Remove WordPress default wp_head version print
//
remove_action('wp_head', 'wp_generator');

//Set content width
if ( ! isset( $content_width ) )
	$content_width = 610;

//Add automatic feed links support
add_theme_support('automatic-feed-links');

//
//SEO Titles
//
if ( ! function_exists( 'k_titlenospace' ) ) :
function k_titlenospace($title) {
	return trim($title);
}
endif;
add_filter('wp_title', 'k_titlenospace');

if ( ! function_exists( 'k_title' ) ) :
function k_title(){
	global $page, $paged;
	wp_title( ' ' );
	if (is_front_page()){
		bloginfo( 'name' );}
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		echo " | $site_description";
	if ( $paged >= 2 || $page >= 2 )
		echo ' | ' . sprintf( __( 'Page %s', 'twentyten' ), max( $paged, $page ) );
}
endif;

//Load Scripts
if ( ! function_exists( 'k_header_scripts' ) ) :
function k_header_scripts(){
	wp_enqueue_script('jquery');
	if (!is_admin()) {
		if (is_singular() AND comments_open() AND (get_option('thread_comments') == 1))
			wp_enqueue_script('comment-reply');
		}
	wp_register_script('menu_script', get_template_directory_uri() . '/scripts/menu.js', array('jquery'));
	wp_enqueue_script('menu_script');
}
endif;
add_action('wp_print_scripts', 'k_header_scripts');

//Header Code
if ( ! function_exists( 'k_show_header' ) ) :
function k_show_header(){
	global $cap;
	if(is_home()||is_front_page()){?>
		<h1><a href="<?php echo home_url();?>"><?php bloginfo('name');?></a></h1>
        <?php if($cap->k_header_banner_show){?>
        	<div class="k_header_banner">
            	<?php if($cap->k_header_banner!=""){
            	echo stripslashes($cap->k_header_banner);
				} else {?>
					<a href="http://kthemes.com" title="WordPress Themes and More..."><img src="<?php echo get_template_directory_uri();?>/images/468banner.png" alt="WordPress Themes and More..." /></a>
				<?php } ?>
			</div>
		<?php } ?>	
    <?php } else {?>
		<div class="blog-title"><a href="<?php echo home_url();?>"><?php bloginfo('name');?></a></div>
        <?php if($cap->k_header_banner_show){?>
        	<div class="k_header_banner">
            	<?php if($cap->k_header_banner!=""){
            	echo stripslashes($cap->k_header_banner);
				} else {?>
					<a href="http://kthemes.com" title="WordPress Themes and More..."><img src="<?php echo get_template_directory_uri();?>/images/468banner.png" alt="WordPress Themes and More..." /></a>
				<?php } ?>
			</div>
		<?php } ?>	
        <?php }
}
endif;
add_action('k_fix_header_hook','k_show_header');

//
//Image handling functions
//

//Set thumbnails for posts and pages
add_theme_support( 'post-thumbnails' );
add_image_size( 'smallthumbnail', 40, 40, true );
add_image_size( 'mediumthumbnail', 150, 150, true );
add_image_size( 'largethumbnail', 598, 188, true );

//Display the first image in a post if post has no thumbnail defined
if ( ! function_exists( 'k_image_find' ) ) :
function k_image_find() {
  global $post, $posts;
  $first_img = '';
  ob_start();
  ob_end_clean();
  $output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
  if(isset($matches [1][0])){
  $first_img = $matches [1] [0];}
  if(empty($first_img)){ //Defines a default image
    $first_img = get_template_directory_uri()."/images/default.jpg";
  }
  return $first_img;
}
endif;

//Display the small post thumbnail
if ( ! function_exists( 'k_smallthumbnail' ) ) :
function k_smallthumbnail(){
	global $cap;
	global $k_smallthumbnailwidth;
	global $k_smallthumbnailheight;
	if ( has_post_thumbnail() ) {
    	the_post_thumbnail('smallthumbnail');
	} else if($cap->k_enable_timthumb){?>
	    <img src="<?php echo get_template_directory_uri(); ?>/timthumb/timthumb.php?src=<?php echo k_image_find(); ?>&amp;h=<?php echo $k_smallthumbnailheight;?>&amp;w=<?php echo $k_smallthumbnailwidth;?>&amp;zc=1" alt="<?php the_title();?> - small thumbnail"/>
	<?php }
	else {?>
    	<img src="<?php echo get_template_directory_uri();?>/images/defaultsmall.jpg" alt="<?php the_title();?> - small thumbnail"/>
<?php }
}
endif;

//Display the medium post thumbnail
if ( ! function_exists( 'k_mediumthumbnail' ) ) :
function k_mediumthumbnail(){
	global $cap;
	global $k_mediumthumbnailwidth;
	global $k_mediumthumbnailheight;
	if ( has_post_thumbnail() ) {
    	the_post_thumbnail('mediumthumbnail');
	} else if($cap->k_enable_timthumb){?>
	    <img src="<?php echo get_template_directory_uri(); ?>/timthumb/timthumb.php?src=<?php echo k_image_find(); ?>&amp;h=<?php echo $k_mediumthumbnailheight;?>&amp;w=<?php echo $k_mediumthumbnailwidth;?>&amp;zc=1" alt="<?php the_title();?> - medium thumbnail"/>
	<?php }
	else {?>
    	<img src="<?php echo get_template_directory_uri();?>/images/defaultmedium.jpg" alt="<?php the_title();?> - medium thumbnail"/>
	<?php }
}
endif;

//Display the large post thumbnail
if ( ! function_exists( 'k_largethumbnail' ) ) :
function k_largethumbnail(){
	global $cap;
	global $k_largethumbnailwidth;
	global $k_largethumbnailheight;
	if(is_home()||is_front_page()){
	if ( has_post_thumbnail() ) {
    	the_post_thumbnail('largethumbnail');
	} else if($cap->k_enable_timthumb){?>
	    <img class="attachment-largethumbnail wp-post-image" src="<?php echo get_template_directory_uri(); ?>/timthumb/timthumb.php?src=<?php echo k_image_find(); ?>&amp;h=<?php echo $k_largethumbnailheight;?>&amp;w=<?php echo $k_largethumbnailwidth;?>&amp;zc=1" alt="<?php the_title();?> - large thumbnail"/>
	<?php }
	else {?>
    	<img class="attachment-largethumbnail wp-post-image" src="<?php echo get_template_directory_uri();?>/images/notim.jpg" alt="<?php the_title();?> - large thumbnail"/>
	<?php }
	}
}
endif;
//
//Loops
//
if ( ! function_exists( 'k_main_loop' ) ) :
function k_main_loop(){
	if (have_posts()) : while (have_posts()) : the_post();
    	do_action('k_before_post_hook');?>
		<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
        	<?php do_action('k_first_post_hook');?>
            <div class="post-content">
			<?php do_action('k_post_hook');?>
            </div>
            <?php do_action('k_last_post_hook');?>
        </div>
        <?php do_action('k_after_post_hook');?>
    <?php endwhile;
	else :?>
        <?php do_action('k_nopost_before_post_hook');?>
		<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
        	<?php do_action('k_nopost_first_post_hook');?>
            <?php do_action('k_nopost_post_hook');?>
            <?php do_action('k_nopost_last_post_hook');?>
        </div>
        <?php do_action('k_nopost_after_post_hook');?>
    <?php endif;?>
    <div style="text-align:center;">
	<?php posts_nav_link();?>
    </div>
<?php }
endif;
add_action('k_fix_content_hook','k_main_loop');
add_action('k_content_hook','k_main_loop');

//
//Loop Display Functions
//
if ( ! function_exists( 'k_404' ) ) :
function k_404(){
	echo "This is 404. Try again!";
}
endif;
add_action('k_nopost_post_hook','k_404');

//Display the title
if ( ! function_exists( 'k_post_title' ) ) :
function k_post_title(){
	if (!is_singular()){?>
    	<h2 class="entry-title not-single-title"><a href="<?php the_permalink();?>" title="<?php the_title();?>"><?php the_title();?></a></h2>
    <?php } else {?>
		<h1 class="entry-title single-title"><?php the_title();?></h1>
<?php }}
endif;

//Display the top meta
if ( ! function_exists( 'k_top_meta' ) ) :
function k_top_meta() {
	global $cap;
	if($cap->k_enable_postmeta){?>
	<div class="top-meta">
	<?php printf( __( '<span class="%1$s">Posted on</span> %2$s <span class="meta-sep">by</span> %3$s', 'kframe' ),
		'meta-prep meta-prep-author',
		sprintf( '<a href="%1$s" title="%2$s" rel="bookmark"><span class="entry-date">%3$s</span></a>',
			get_permalink(),
			esc_attr( get_the_time() ),
			get_the_date()
		),
		sprintf( '<span class="author vcard"><a class="url fn n" href="%1$s" title="%2$s">%3$s</a></span>',
			get_author_posts_url( get_the_author_meta( 'ID' ) ),
			sprintf( esc_attr__( 'View all posts by %s', 'kframe' ), get_the_author() ),
			get_the_author()
		)
	);?>
	</div>
    <?php }
}
endif;

//Display the content
if ( ! function_exists( 'k_post_content' ) ) :
	function k_post_content(){
		global $cap;
		if(is_home()||is_front_page()){	
			if($cap->k_home_layout=="Thumbnail and Excerpt"){
				the_excerpt();?>
				<div class="alignright"><a href="<?php the_permalink();?>" rel="nofollow">Read more...</a></div>
			<?php } else {
			the_content();
			wp_link_pages();
			}
		} else if(is_category()){
			if ($cap->k_category_page=="Title and Content"){
				the_content();
			} else if($cap->k_category_page=="Title and Excerpt"){
				the_excerpt();?>
                <div class="alignright"><a href="<?php the_permalink();?>" rel="nofollow">Read more...</a></div>
			<?php } else {
			}
		} else if(is_tag()){
			if ($cap->k_tag_page=="Title and Content"){
				the_content();
			} else if($cap->k_tag_page=="Title and Excerpt"){
				the_excerpt();?>
				<div class="alignright"><a href="<?php the_permalink();?>" rel="nofollow">Read more...</a></div>
			<?php } else {
			}
		}
		else if(is_search()){
			if ($cap->k_search_page=="Title and Content"){
				the_content();
			} else if($cap->k_search_page=="Title and Excerpt"){
				the_excerpt();?>
                <div class="alignright"><a href="<?php the_permalink();?>" rel="nofollow">Read more...</a></div>
			<?php } else {
			}
		}
		else if(is_archive()){
			if ($cap->k_date_page=="Title and Content"){
				the_content();
			} else if($cap->k_date_page=="Title and Excerpt"){
				the_excerpt();?>
                <div class="alignright"><a href="<?php the_permalink();?>" rel="nofollow">Read more...</a></div>
			<?php } else {
			}
		} else {
			the_content();
			wp_link_pages();
		}
	}
endif;

//Display the bottom meta
if ( ! function_exists( 'k_bottom_meta' ) ) :
function k_bottom_meta() {
	if(is_single()){?>
    <div class="bottom-meta">
	<?php $tag_list = get_the_tag_list( '', ', ' );
	if ( $tag_list ) {
		$posted_in = __( '<div class="bottom-meta-category">This entry was posted in %1$s</div> <div class="bottom-meta-tags">Also tagged %2$s.</div> <div class="bottom-meta-bookmark">Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.</div>', 'kframe' );
	} elseif ( is_object_in_taxonomy( get_post_type(), 'category' ) ) {
		$posted_in = __( '<div class="bottom-meta-category">This entry was posted in %1$s.</div> <div class="bottom-meta-bookmark">Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.</div>', 'kframe' );
	} else {
		$posted_in = __( '<div class="bottom-meta-bookmark">Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.</div>', 'kframe' );
	}
	printf(
		$posted_in,
		get_the_category_list( ', ' ),
		$tag_list,
		get_permalink(),
		the_title_attribute( 'echo=0' )
	);?>
	</div>
<?php }}
endif;

//Social Bottom
if ( ! function_exists( 'k_social_bottom' ) ) :
function k_social_bottom(){
	global $cap;
	global $post;
	$text=get_the_excerpt();
	$text = strip_tags($text, '<p>');
	if(is_singular()){
	if($cap->k_share_bookmark){?>
    <div id="social-bottom">
    <div style="width:100px; float:left; height:20px;">Bookmark / Share:</div>
    	<a class="blinklist16 social-bottom-link" href="http://www.blinklist.com/index.php?Action=Blink/addblink.php&amp;Url=<?php the_permalink(); ?>&amp;Title=<?php the_title(); ?>"></a>
        <a class="delicious16 social-bottom-link" href="http://delicious.com/post?url=<?php the_permalink(); ?>&amp;title=<?php the_title(); ?>&amp;notes=<?php echo $text; ?>"></a>
        <a class="social-bottom-link digg16" href="http://digg.com/submit?phase=2&amp;url=<?php the_permalink(); ?>&amp;title=<?php the_title(); ?>&amp;bodytext=<?php echo $text; ?>"></a>
        <a class="social-bottom-link dzone16" href="http://www.dzone.com/links/add.html?url=<?php the_permalink(); ?>&amp;title=<?php the_title(); ?>"></a>
        <a class="social-bottom-link facebook16" href="http://www.facebook.com/share.php?u=<?php the_permalink(); ?>&amp;t=<?php the_title(); ?>"></a>
        <a class="social-bottom-link friendfeed16" href="http://www.friendfeed.com/share?title=<?php the_title(); ?>&amp;link=<?php the_permalink(); ?>"></a>
        <a class="social-bottom-link google16" href="http://www.google.com/bookmarks/mark?op=edit&amp;bkmk=<?php the_permalink(); ?>&amp;title=<?php the_title(); ?>&amp;annotation=<?php echo $text; ?>"></a>
        <a class="social-bottom-link identica16" href="http://identi.ca/notice/new?status_textarea=<?php the_permalink(); ?>"></a>
        <a class="social-bottom-link linkedin16" href="http://www.linkedin.com/shareArticle?mini=true&amp;url=<?php the_permalink(); ?>&amp;title=<?php the_title(); ?>&amp;summary=<?php echo $text; ?>"></a>
        <a class="social-bottom-link mrwong16" href="http://www.mister-wong.com/addurl/?bm_url=<?php the_permalink(); ?>&amp;bm_description=<?php the_title(); ?>"></a>
        <a class="social-bottom-link mixx16" href="http://www.mixx.com/submit?page_url=<?php the_permalink(); ?>&amp;title=<?php the_title(); ?>"></a>
        <a class="social-bottom-link myspace16" href="http://www.myspace.com/Modules/PostTo/Pages/?u=<?php the_permalink(); ?>&amp;t=<?php the_title(); ?>"></a>
        <a class="social-bottom-link netvibes16" href="http://www.netvibes.com/share?title=<?php the_title(); ?>&amp;url=<?php the_permalink(); ?>"></a>
        <a class="social-bottom-link newsvine16" href="http://www.newsvine.com/_tools/seed&amp;save?u=<?php the_permalink(); ?>&amp;h=<?php the_title(); ?>"></a>
        <a class="social-bottom-link posterous16" href="http://posterous.com/share?linkto=<?php the_permalink(); ?>&amp;title=<?php the_title(); ?>&amp;selection=<?php echo $text; ?>"></a>
        <a class="social-bottom-link reddit16" href="http://reddit.com/submit?url=<?php the_permalink(); ?>&amp;title=<?php the_title(); ?>"></a>
        <a class="social-bottom-link slashdot16" href="http://slashdot.org/bookmark.pl?title=<?php the_title(); ?>&amp;url=<?php the_permalink(); ?>"></a>
        <a class="social-bottom-link sphere16" href="http://www.sphere.com/search?q=sphereit:<?php the_permalink(); ?>&amp;title=<?php the_title(); ?>"></a>
        <a class="social-bottom-link sphinn16" href="http://sphinn.com/index.php?c=post&amp;m=submit&amp;link=<?php the_permalink(); ?>"></a>
        <a class="social-bottom-link stumble16" href="http://www.stumbleupon.com/submit?url=<?php the_permalink(); ?>"></a>
        <a class="social-bottom-link tumblr16" href="http://www.tumblr.com/share?v=3&amp;u=<?php the_permalink();?>&amp;t=<?php the_title();?>&amp;s=<?php echo $text;?>"></a>
        <a class="social-bottom-link twitter16" href="http://twitter.com/home?status=<?php the_title(); ?> - <?php the_permalink(); ?>"></a>
        <a class="social-bottom-link yahoo16" href="http://bookmarks.yahoo.com/toolbar/savebm?u=<?php the_permalink(); ?>&amp;t=<?php the_title(); ?>"></a>
        <a class="social-bottom-link buzz16" href="http://buzz.yahoo.com/submit/?submitUrl=<?php the_permalink(); ?>&amp;submitHeadline=<?php the_title(); ?>&amp;submitSummary=<?php echo $text; ?>&amp;submitCategory=science&amp;submitAssetType=text"></a>
    </div>
<?php }}}
endif;

//Related Posts
if ( ! function_exists( 'k_show_related_posts' ) ) :
function k_show_related_posts(){
global $post;
$kcontrolid=$post;
if(is_single()){
	$categories = get_the_category($post->ID);
		if ($categories) {
		$category_ids = array();
		foreach($categories as $individual_category) $category_ids[] = $individual_category->term_id;
		$args=array(
			'category__in' => $category_ids,
			'post__not_in' => array($post->ID),
			'showposts'=>6, // Number of related posts that will be shown.
			'caller_get_posts'=>1
		);
		$my_query = new wp_query($args);
	if( $my_query->have_posts() ) {
		echo '<div class="related-posts"><div class="related-posts-title">Related Posts</div>';
		while ($my_query->have_posts()) {
			$my_query->the_post();
		?>
			<div class="related-post-item">
            <div class="relatedimg">
			<?php k_smallthumbnail();?>
            </div>
            <div class="relatedtext">
            <a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a>
            </div>
            </div>
		<?php
		}
		echo '</div>';
	}
}
}
$post=$kcontrolid;
wp_reset_query();
}
endif;

//Display comments and comment form
if ( ! function_exists( 'k_show_comments' ) ) :
function k_show_comments(){
	global $post;
	if (is_singular()){
	comments_template( '', true );
	}
}
endif;
add_action('k_after_post_hook','k_show_comments');

//K comment function
if ( ! function_exists( 'k_comment' ) ) :
function k_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case '' :
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		<div id="comment-<?php comment_ID(); ?>">
		<div class="comment-author vcard">
			<?php echo get_avatar( $comment, 50 ); ?>
			<?php printf( __( '%s', 'kpanel' ), sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?>
		</div><!-- .comment-author .vcard -->
		<?php if ( $comment->comment_approved == '0' ) : ?>
			<em><?php _e( 'Your comment is awaiting moderation.', 'kpanel' ); ?></em>
			<br />
		<?php endif; ?>

		<div class="comment-meta commentmetadata"><a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>">
			<?php
				/* translators: 1: date, 2: time */
				printf( __( '%1$s at %2$s', 'kpanel' ), get_comment_date(),  get_comment_time() ); ?></a><?php edit_comment_link( __( '(Edit)', 'kpanel' ), ' ' );
			?>
		</div><!-- .comment-meta .commentmetadata -->

		<div class="comment-body"><?php comment_text(); ?></div>

		<div class="reply">
			<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
		</div><!-- .reply -->
	</div><!-- #comment-##  -->

	<?php
			break;
		case 'pingback'  :
		case 'trackback' :
	?>
	<li class="post pingback">
		<p><?php _e( 'Pingback:', 'kpanel' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __('(Edit)', 'kpanel'), ' ' ); ?></p>
	<?php
			break;
	endswitch;
}
endif;

add_action('k_first_post_hook','k_post_title');
if($cap->k_home_layout=="Thumbnail and Excerpt"){
add_action('k_first_post_hook','k_largethumbnail');
}
add_action('k_first_post_hook','k_top_meta');
add_action('k_post_hook','k_post_content');
add_action('k_last_post_hook','k_bottom_meta');
add_action('k_last_post_hook','k_social_bottom');
add_action('k_last_post_hook','k_show_related_posts');

//Wordpress 3.0 Menus
if ( ! function_exists( 'k_register_menus' ) ) :
function k_register_menus() {
	register_nav_menus(
		array(
		'header-menu' => 'Header Menu'
		)
		);
}
endif;
add_action( 'init', 'k_register_menus' );
//
//Sidebars and other widget areas
//

//Social Sidebar
if ( ! function_exists( 'k_social_sidebar' ) ) :
function k_social_sidebar(){
	global $cap;?>
	<div class="social-sidebar">
        	<a class="sidebar-social-link rss-link" href="<?php echo home_url();?>/feed/" title="Subscribe to our feed"></a>
			<?php if ($cap->k_youtube_link!=""){?>
        	<a class="sidebar-social-link youtube-link" href="<?php echo $cap->k_youtube_link;?>" title="Follow our YouTube channel"></a>
            <?php }
			if ($cap->k_facebook_link!=""){?>
        	<a class="sidebar-social-link facebook-link" href="<?php echo $cap->k_facebook_link;?>" title="Follow us on Facebook"></a>
            <?php }
			if ($cap->k_twitter_id!=""){?>
        	<a class="sidebar-social-link twitter-link" href="http://twitter.com/<?php echo $cap->k_twitter_id;?>" title="Follow us on Twitter"></a>
            <?php }?>
        </div>
	<?php } 
endif;
add_action('k_fix_first_sidebar_hook','k_social_sidebar');
add_action('k_fix_first_sidebar_hook','k_site_description');
add_action('k_fix_first_sidebar_hook','k_show_125_ads');

//Site description
if ( ! function_exists( 'k_site_description' ) ) :
function k_site_description(){
	if (is_home()||is_front_page()){?>
		 <h2><?php bloginfo('description');?></h2>
    <?php } else {?>
         <div class="blog-description"><?php bloginfo('description');?></div>
	<?php }
}
endif;

//125px x 125px Ads
if ( ! function_exists( 'k_show_125_ads' ) ) :
function k_show_125_ads(){
	global $cap;
	if ($cap->k_sidebar_banners){?>
		<div id="sidebarbannercontainer">
			<div class="sidebarbanner">
            	<?php if($cap->k_125_1!=""){
                	$kout = stripslashes($cap->k_125_1);
				}
				else {
					$kout = '<a href="http://kthemes.com" title="WordPress Themes and More..."><img src=' . get_template_directory_uri() . '/images/125px.jpg alt="WordPress Themes and More 1" /></a>';
				}
            echo $kout;?>
            </div>
            <div class="sidebarbanner">
            	<?php if($cap->k_125_2!=""){
                	$kout = stripslashes($cap->k_125_2);
				}
				else {
					$kout = '<a href="http://kthemes.com" title="WordPress Themes and More..."><img src=' . get_template_directory_uri() . '/images/125px.jpg alt="WordPress Themes and More 2" /></a>';
				}
			echo $kout;?>
            </div>
            <div class="sidebarbanner">
            	<?php if($cap->k_125_3!=""){
                	$kout = stripslashes($cap->k_125_3);
				}
				else {
					$kout = '<a href="http://kthemes.com" title="WordPress Themes and More..."><img src=' . get_template_directory_uri() . '/images/125px.jpg alt="WordPress Themes and More 3" /></a>';
				}
            echo $kout;?>
            </div>
            <div class="sidebarbanner">
            	<?php if($cap->k_125_4!=""){
                	$kout = stripslashes($cap->k_125_4);
				}
				else {
					$kout = '<a href="http://kthemes.com" title="WordPress Themes and More..."><img src=' . get_template_directory_uri() . '/images/125px.jpg alt="WordPress Themes and More 4" /></a>';
				}
			echo $kout;?>
            </div>
        </div>
	<?php }
}
endif;

//Register widgetized areas
if ( ! function_exists( 'k_register_widgets' ) ) :
function k_register_widgets(){
global $cap;
register_sidebar(array(
 			'name' => 'Primary Content Sidebar',
 			'id' => 'k-first-sidebar',
 			'before_widget' => '<div class="widget sidebar-1">',
 			'after_widget' => "</div></div>",
 			'before_title' => "<div class=\"widget-title\">",
 			'after_title' => "</div><div class=\"widget-content\">"
 		));
register_sidebar(array(
 			'name' => 'Sidebar 2',
 			'id' => 'k-second-sidebar',
 			'before_widget' => '<div class="widget sidebar-2">',
 			'after_widget' => "</div></div>",
 			'before_title' => "<div class=\"widget-title\">",
 			'after_title' => "</div><div class=\"widget-content\">"
 		));
if ($cap->k_special_sidebar){
register_sidebar(array(
 			'name' => 'Home Sidebar',
 			'id' => 'k-home-sidebar',
 			'before_widget' => '<div class="widget sidebar-home">',
 			'after_widget' => "</div></div>",
 			'before_title' => "<div class=\"widget-title\">",
 			'after_title' => "</div><div class=\"widget-content\">"
 		));
}
if($cap->k_enable_footer_widgets){
register_sidebar(array(
 			'name' => 'Footer Widgets Area',
 			'id' => 'k-footer-sidebar',
 			'before_widget' => '<div class="widget footer-widget">',
 			'after_widget' => "</div></div>",
 			'before_title' => "<div class=\"widget-title\">",
 			'after_title' => "</div><div class=\"widget-content\">"
 		));
}
}
endif;
add_action( 'widgets_init', 'k_register_widgets' );
if ( ! function_exists( 'k_footer_widgets_insert' ) ) :
function k_footer_widgets_insert(){
	global $cap;
	if ( is_active_sidebar( 'k-footer-sidebar' ) ) : ?>
			<div id="footersidebar" class="hf-widget-area">
            	<div class="ktlogo">
                	<a href="http://kthemes.com" title="WordPress Themes and More...">ImpressIO</a>
            	</div>
				<?php dynamic_sidebar( 'k-footer-sidebar' ); ?>
            </div>
	<?php else:?>
    <p class="footercredit">Powered by <a href="http://wordpress.org/">WordPress</a> and <a href="http://kthemes.com/free-wordpress-themes/impressio-wordpress-theme/" title="WordPress Themes and More...">ImpressIO</a> WordPress Theme</p>
	<?php endif;
}
endif;
add_action('k_footer_widget_hook','k_footer_widgets_insert');
add_action('k_fix_footer_hook','k_footer_widgets_insert');

if ( ! function_exists( 'k_add_dashboard_info' ) ) :
function k_add_dashboard_info(){
	if(current_user_can('switch_themes')):?>
    <div style="border-bottom:1px solid #aaa; border-top:1px solid #aaa; margin-top:5px; background:url(<?php echo get_stylesheet_directory_uri();?>/images/gray.png);">
    <h4 style=" margin:1px 0; border-top: 1px solid #000; border-bottom: 1px solid #000; padding: 10px 0pt;">
    	You are using <span style="font-style:italic">impress</span>IO Theme by <a href="http://kthemes.com">KThemes.com</a>
    </h4>
    </div>
    <p>You can edit the theme options by <a href="<?php echo get_admin_url() . "admin.php?page=kpanel.php"?>">clicking here</a></p>
<?php endif; }
endif;
add_action('activity_box_end','k_add_dashboard_info');

//Filter the inline CSS inserted by Gallery Shortcode
add_filter('gallery_style',
	create_function(
		'$css',
		'return preg_replace("#<style type=\'text/css\'>(.*?)</style>#s", "", $css);'
		)
);
?>